# Detailed response

DFINERY Export API determines the success or failure of a request through HTTP response code and detailed response code.

### HTTP response codes <a href="#http" id="http"></a>

| Response Code             | Explanation                                                                                                                                                                         |
| ------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `200 - OK`                | The request was successfully received by the server.                                                                                                                                |
| `400 - Bad Request`       | The request could not be processed. This is the response returned when a required parameter was not sent or the parameter format is incorrect. Please check the request parameters. |
| `429 - Too Many Requests` | An unusually high number of requests have been sent. Please try again later.                                                                                                        |
| `500 - Server Error`      | An error occurred inside the server.                                                                                                                                                |

### Detailed response <a href="#undefined" id="undefined"></a>

If an API call fails, you can get detailed information about the error through the detailed response result.

<table><thead><tr><th width="140">Response Code</th><th width="128">Result</th><th width="247">Message</th><th>Explanation</th></tr></thead><tbody><tr><td>200</td><td>fail</td><td><code>client_connection_closed</code></td><td>The client connection was terminated.</td></tr><tr><td>400</td><td>fail</td><td><code>invalid_parameter</code></td><td>The requested parameters provided are invalid or malformed.</td></tr><tr><td>400</td><td>fail</td><td><code>exceed_date_range_limit</code></td><td>The requested start date exceeds the allowed range.</td></tr><tr><td>401</td><td>fail</td><td><code>unauthorized_token</code></td><td>Invalid Export token.</td></tr><tr><td>429</td><td>fail</td><td><code>too_many_api_requests</code></td><td>The number of requested API calls exceeded the limit.</td></tr><tr><td>500</td><td>fail</td><td><code>unknown_error</code></td><td>An unexpected error occurred within the system.</td></tr><tr><td>500</td><td>fail</td><td><code>query_error</code></td><td>The requested database query failed and was not executed.</td></tr></tbody></table>

### Example response <a href="#undefined-1" id="undefined-1"></a>

#### Success <a href="#undefined-2" id="undefined-2"></a>

If successful, you will receive data in CSV format including the header as a response. For more details, please refer to each [API documentation.](https://docs.dfinery.ai/api-guide/en/api/export-api/export)

### exceed\_date\_range\_limit

```json
400 BAD REQUEST
{
    "result": "fail",
    "message": "exceed_date_range_limit"
}
```

### unknown\_error

```json
500 INTERNAL_SERVER_ERROR
{
    "result": "fail",
    "message": "unknown_error"
}
```
